Bug 169754 - Review Request: tclxml - XML parsing package for Tcl
Summary: Review Request: tclxml - XML parsing package for Tcl
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL: http://tclxml.sourceforge.net
Whiteboard:
Keywords:
Depends On: 165935
Blocks: FE-ACCEPT 174278
TreeView+ depends on / blocked
 
Reported: 2005-10-03 05:38 UTC by Wart
Modified: 2008-06-20 15:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 18:29:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2005-10-03 05:38:44 UTC
Spec Name or Url: http://www.kobold.org/~wart/fedora/tclxml.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tclxml-3.0-1.src.rpm
MD5SUMs:  http://www.kobold.org/~wart/fedora/MD5SUM.asc

Description: TclXML is a package that provides XML parsing for the Tcl scripting language.  It has three implementations of XML parsers: one written purely in Tcl and wrappers for the expat and Gnome libxml2 C libraries.

Comment 1 John Mahowald 2005-11-25 22:58:19 UTC
Missing BuildRequires: autoconf

rpmlint output, excluding tclxml-debuginfo, which has a lot of
script-without-shellbangs:

E: tclxml script-without-shellbang /usr/share/doc/tclxml-3.0/README
W: tclxml wrong-file-end-of-line-encoding /usr/share/doc/tclxml-3.0/README.xml
E: tclxml script-without-shellbang /usr/share/doc/tclxml-3.0/ChangeLog
W: tclxml-devel summary-ended-with-dot Development files for the tclxml packages.
W: tclxml-devel no-documentation
W: tclxml-expat summary-ended-with-dot The Tcl xml parser built with the expat
xml parser.
W: tclxml-expat no-documentation
W: tclxml-libxml2 summary-ended-with-dot The Tcl xml parser built with the
libxml2 xml parser.
W: tclxml-libxml2 no-documentation

Comment 2 Wart 2005-11-26 05:34:50 UTC
(In reply to comment #1)
> Missing BuildRequires: autoconf
> 
> rpmlint output, excluding tclxml-debuginfo, which has a lot of
> script-without-shellbangs:

The script-without-shellbang warnings arise because many of the source files
have the execute permission bit set in the upstream tarball.  I've added a few
chmod a-x commands in the build stage to suppress these warnings.

> W: tclxml-devel no-documentation
> W: tclxml-expat no-documentation
> W: tclxml-libxml2 no-documentation

There is no documentation specific to these packages, as they (excluding -devel)
are just reimplementations of the same API, using different xml parsing
libraries.  They all depend on the base tclxml package which contains all of the
documentation files.  I'm inclined to ignore this rpmlint warning.

The other rpmlint warnings have been cleaned up, with only the
'no-documentation' warnings remaining.

New spec file and source rpm can be found at:

http://www.kobold.org/~wart/fedora/tclxml.spec
http://www.kobold.org/~wart/fedora/tclxml-3.0-2.src.rpm
http://www.kobold.org/~wart/fedora/MD5SUM.asc



Comment 4 Wart 2005-11-27 21:14:54 UTC
I just noticed that new upstream sources are available.  Here are the new
package files:

http://www.kobold.org/~wart/fedora/MD5SUM.asc
http://www.kobold.org/~wart/fedora/tclxml.spec
http://www.kobold.org/~wart/fedora/tclxml-3.1-1.src.rpm

Comment 5 John Mahowald 2005-12-03 19:27:21 UTC
Good:

- rpmlint only complains about the no docs on -devel -expat and -libxml2,
ignored as described in comment 2

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD-like) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- devel requires base package n-v-r 

APPROVED

Comment 6 John Mahowald 2005-12-03 19:31:39 UTC
Forgot one thing, before building add

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

Comment 7 Ville Skyttä 2005-12-03 19:50:22 UTC
(In reply to comment #6)
> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

No libs are installed in the dynamic linker's default paths, so that's not needed.

Is there a good reason to ship the static libraries in -devel?

Comment 8 Wart 2005-12-05 06:24:55 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > %post -p /sbin/ldconfig
> > %postun -p /sbin/ldconfig
> 
> No libs are installed in the dynamic linker's default paths, so that's not needed.
> 
> Is there a good reason to ship the static libraries in -devel?

One of the packages that I'm still working on is the TclPro wrapper, which wraps
Tcl applications and their associated library files into a single application. 
This wrapper can make use of static libraries for C-based extensions to build a
'big tcl' shell with the various extensions statically linked.  This is the only
reason I like to include the static libraries.

Comment 9 Wart 2008-06-20 12:07:20 UTC
Package Change Request
======================
Package Name: tclxml
New Branches: EL-4 EL-5

Comment 10 Kevin Fenzi 2008-06-20 15:19:41 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.